> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get datasets the user has access to

> Get Datasets that a user has access to based on dataset permissions and input filters



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/datasetrw/v2/datasets
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/datasetrw/v2/datasets:
    get:
      tags:
        - DatasetRw
      summary: Get datasets the user has access to
      description: >-
        Get Datasets that a user has access to based on dataset permissions and
        input filters
      operationId: getDatasetsV2
      parameters:
        - description: >-
            Filter for minimum dataset permission the principal needs to have in
            returned datasets.
          in: query
          name: minimumPermission
          required: false
          schema:
            $ref: '#/components/schemas/DatasetRwPermissionV1'
        - description: ProjectIds of datasets to exclude from result.
          in: query
          name: projectIdsToExclude
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            ProjectIds to get the datasets from. Should not be passed in if
            projectIdsToExclude is and vice versa.
          in: query
          name: projectIdsToInclude
          required: false
          schema:
            items:
              type: string
            type: array
        - description: >-
            Boolean to determine whether or not to return project-info in return
            objects.
          in: query
          name: includeProjectInfo
          required: false
          schema:
            type: boolean
        - description: >-
            If false, exclude Datasets that belong to archived projects.
            Defaults to true for backward compatibility.
          in: query
          name: includeArchivedProjects
          required: false
          schema:
            type: boolean
        - description: How many Datasets from the start to skip. Defaults to 0.
          in: query
          name: offset
          required: false
          schema:
            type: integer
        - description: Max number of Datasets to fetch. Defaults to 10.
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDatasetRwEnvelopeV2'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    DatasetRwPermissionV1:
      description: Permission within a dataset
      enum:
        - DeleteDatasetRwV2
        - EditCustomFieldValuesDatasetRwV2
        - EditSecurityDatasetRwV2
        - EditTaxonomyTagsDatasetRwV2
        - ListDatasetRwV2
        - PerformDatasetRwActionsInProjectV2
        - PermanentDeleteDatasetRwV2
        - ReadDatasetRwV2
        - UpdateDatasetRwV2
        - PerformDatasetRwActionsAsAdminV2
      type: string
    PaginatedDatasetRwEnvelopeV2:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/DatasetRwInfoDtoV1'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - datasets
        - metadata
      type: object
    DatasetRwInfoDtoV1:
      properties:
        dataset:
          $ref: '#/components/schemas/DatasetRwDetailsV1'
        projectInfo:
          $ref: '#/components/schemas/DatasetRwProjectInfoDtoV1'
      required:
        - dataset
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
    DatasetRwDetailsV1:
      properties:
        createdAt:
          description: When the dataset was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        description:
          description: A description of the dataset
          type: string
        id:
          description: ID of the dataset
          example: 62313ce67a0af0281c01a6a5
          type: string
        name:
          description: Name of the dataset
          example: My Dataset
          type: string
        projectId:
          description: ID of the project this dataset belongs to
          example: 62313ce67a0af0281c01a6a5
          type: string
        snapshotIds:
          description: List of snapshot IDs belonging to this dataset
          items:
            type: string
          type: array
        tags:
          $ref: '#/components/schemas/DatasetRwTagsV1'
      required:
        - id
        - name
        - createdAt
        - snapshotIds
        - tags
      type: object
    DatasetRwProjectInfoDtoV1:
      properties:
        projectId:
          description: ID of the project this dataset belongs to
          type: string
        projectName:
          description: Name of the project this dataset belongs to
          type: string
        projectOwnerUsername:
          description: Username of the project's owner
          type: string
      required:
        - projectId
        - projectName
        - projectOwnerUsername
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
    DatasetRwTagsV1:
      additionalProperties:
        type: string
      description: A map of tagName -> snapshotId
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````